 <div class="events bg-pattern-bright">

    {% set events =
      page.find('/events').collection({
      'items': {'@page.children': '/events'},
      'dateRange': {
        'start': datetools.parseDate('6 hours ago'),
        'end': datetools.parseDate("7 days")
      },
      'order': {
        'by': 'date',
        'dir': 'asc'
      },
      'limit': 10
      })
    %}

    {% for ev in events %}
      <div class="event-card event-{{ ev.header.event.category }} {% if ev.date|date('ymd') <= datetools.parseDate('today')|date('ymd') %}event-today{% endif %}">

        <h3>
          <a href="{{ev.url}}">
            {% if ev.header.titleoverride %}
              {{ev.header.title}}
            {% else %}
              {{ ev.date|date("l, F jS") }}
            {% endif %}
          </a>
        </h3>

        <p class="date">
          {% if ev.header.titleoverride %}
            {{ ev.date|date("l, F jS") }}
          {% else %}
            {{ ev.date|nicetime }}
          {% endif %}
        </p>

        <br>

        <p>
          We will be {% if ev.header.event.mode == 'race' %}racing{%else%}playing <strong>{{ev.header.event.mode|titleize}}</strong> with{%endif%} 
          {% if ev.header.event.class != 'other' %}
            <a href="https://re-volt.io/online/cars/{{ev.header.event.class}}">
              {{ event_types[ev.header.event.class] }}
            </a>
          {% else %}
            {% if ev.header.event.classlink %}<a href="{{ev.header.event.classlink}}">{% endif %}
              {{ ev.header.event.otherclass }}
            {% if ev.header.event.classlink %}</a>{% endif %}
          {% endif %}
          at <a href="http://time.unitarium.com/utc/{{ ev.date|date("Hi") }}">
          {{ ev.date|date("H:i") }} UTC</a>
          {% if ev.header.titleoverride %} 
            ({{ ev.date|nicetime }})
          {% endif %}
        </p>
        
        <p class="event-buttons">
          
          <span class="tag">{{ ev.header.event.category|titleize }}</span> 
          
          {% if grav.user.access.admin.login %} 
            <a href="{{ "/admin/pages" ~ ev.url }}">
              <img class="event-icon" alt="Edit this Event" src="{{ url('theme://images/icons/edit.png') }}">
            </a>
          {% endif %} 

          {% if ev.header.event.stream %}
            <a href="{{ev.header.event.stream}}"><img class="event-icon" alt="Watch stream on Twitch" src="{{ url('theme://images/icons/twitch.png') }}"></a>
          {% endif %}

          {% if ev.header.event.vod %}
            <a href="{{ev.header.event.vod}}"><img class="event-icon" alt="Watch recording" src="{{ url('theme://images/icons/vod.png') }}"></a>
          {% endif %}
          
          {% if ev.header.event.results %}
            <a href="{{ev.header.event.results}}"><img class="event-icon" alt="View Results" src="{{ url('theme://images/icons/sheets.png') }}"></a>
          {% endif %}

        </p>
      </div>

    {% endfor %}

    <div class="event-card" style="text-align: center; vertical-align: middle; line-height: 130px;">
      <a href="/online/events"><strong>Show all events</strong></a>
    </div>

  </div>
